package com.ruoyi.project.asset.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 资产与运营对象 t_specdev_asset
 *
 * @author ruoyi
 * @date 2022-10-12
 */
public class TSpecdevAsset extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识id */
    private Long id;

    /** Type */
    @Excel(name = "Type")
    private String type;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** PID图号/管线号 */
    @Excel(name = "PID图号/管线号")
    private String pidNo;

    /** 分界具体位置及描述 */
    @Excel(name = "分界具体位置及描述")
    private String positionDescribe;

    /** According to */
    @Excel(name = "According to")
    private String accordingTo;

    /** 资产 */
    @Excel(name = "资产")
    private String asset;

    /** DCS操作 */
    @Excel(name = "DCS操作")
    private String dcsOperation;

    /** 现场操作8小时 */
    @Excel(name = "现场操作8小时")
    private String inSceneOperation;

    /** 现场操作8小时外 */
    @Excel(name = "现场操作8小时外")
    private String outSceneOperation;

    /** 巡检8小时 */
    @Excel(name = "巡检8小时")
    private String inInspection;

    /** 巡检8小时外 */
    @Excel(name = "巡检8小时外")
    private String outInspection;

    /** 维修8小时 */
    @Excel(name = "维修8小时")
    private String inRepair;

    /** 维修8小时外 */
    @Excel(name = "维修8小时外")
    private String outRepair;

    /** 维修协调8小时 */
    @Excel(name = "维修协调8小时")
    private String inMaintenanceCoordination;

    /** 维修协调8小时外 */
    @Excel(name = "维修协调8小时外")
    private String outMaintenanceCoordination;

    /** 现场操作8小时 */
    @Excel(name = "技术管理8小时")
    private String inTechnicalManagement;

    /** 现场操作8小时外 */
    @Excel(name = "技术管理8小时外")
    private String outTechnicalManagement;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** 管径 */
    @Excel(name = "管径")
    private String pipeDiameter;

    /** 照片 */
    @Excel(name = "照片")
    private String picUrl;
    private String picName;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;


    private String fuzzy;

    public String getFuzzy() {
        return fuzzy;
    }

    public void setFuzzy(String fuzzy) {
        this.fuzzy = fuzzy;
    }

    public String getPicName() {
        return picName;
    }

    public void setPicName(String picName) {
        this.picName = picName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setPidNo(String pidNo)
    {
        this.pidNo = pidNo;
    }

    public String getPidNo()
    {
        return pidNo;
    }
    public void setPositionDescribe(String positionDescribe)
    {
        this.positionDescribe = positionDescribe;
    }

    public String getPositionDescribe()
    {
        return positionDescribe;
    }
    public void setAccordingTo(String accordingTo)
    {
        this.accordingTo = accordingTo;
    }

    public String getAccordingTo()
    {
        return accordingTo;
    }
    public void setAsset(String asset)
    {
        this.asset = asset;
    }

    public String getAsset()
    {
        return asset;
    }
    public void setDcsOperation(String dcsOperation)
    {
        this.dcsOperation = dcsOperation;
    }

    public String getDcsOperation()
    {
        return dcsOperation;
    }
    public void setInSceneOperation(String inSceneOperation)
    {
        this.inSceneOperation = inSceneOperation;
    }

    public String getInSceneOperation()
    {
        return inSceneOperation;
    }
    public void setOutSceneOperation(String outSceneOperation)
    {
        this.outSceneOperation = outSceneOperation;
    }

    public String getOutSceneOperation()
    {
        return outSceneOperation;
    }
    public void setInInspection(String inInspection)
    {
        this.inInspection = inInspection;
    }

    public String getInInspection()
    {
        return inInspection;
    }
    public void setOutInspection(String outInspection)
    {
        this.outInspection = outInspection;
    }

    public String getOutInspection()
    {
        return outInspection;
    }
    public void setInRepair(String inRepair)
    {
        this.inRepair = inRepair;
    }

    public String getInRepair()
    {
        return inRepair;
    }
    public void setOutRepair(String outRepair)
    {
        this.outRepair = outRepair;
    }

    public String getOutRepair()
    {
        return outRepair;
    }
    public void setInMaintenanceCoordination(String inMaintenanceCoordination)
    {
        this.inMaintenanceCoordination = inMaintenanceCoordination;
    }

    public String getInMaintenanceCoordination()
    {
        return inMaintenanceCoordination;
    }
    public void setOutMaintenanceCoordination(String outMaintenanceCoordination)
    {
        this.outMaintenanceCoordination = outMaintenanceCoordination;
    }

    public String getOutMaintenanceCoordination()
    {
        return outMaintenanceCoordination;
    }
    public void setInTechnicalManagement(String inTechnicalManagement)
    {
        this.inTechnicalManagement = inTechnicalManagement;
    }

    public String getInTechnicalManagement()
    {
        return inTechnicalManagement;
    }
    public void setOutTechnicalManagement(String outTechnicalManagement)
    {
        this.outTechnicalManagement = outTechnicalManagement;
    }

    public String getOutTechnicalManagement()
    {
        return outTechnicalManagement;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setPipeDiameter(String pipeDiameter)
    {
        this.pipeDiameter = pipeDiameter;
    }

    public String getPipeDiameter()
    {
        return pipeDiameter;
    }
    public void setPicUrl(String picUrl)
    {
        this.picUrl = picUrl;
    }

    public String getPicUrl()
    {
        return picUrl;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("content", getContent())
            .append("pidNo", getPidNo())
            .append("positionDescribe", getPositionDescribe())
            .append("accordingTo", getAccordingTo())
            .append("asset", getAsset())
            .append("dcsOperation", getDcsOperation())
            .append("inSceneOperation", getInSceneOperation())
            .append("outSceneOperation", getOutSceneOperation())
            .append("inInspection", getInInspection())
            .append("outInspection", getOutInspection())
            .append("inRepair", getInRepair())
            .append("outRepair", getOutRepair())
            .append("inMaintenanceCoordination", getInMaintenanceCoordination())
            .append("outMaintenanceCoordination", getOutMaintenanceCoordination())
            .append("inTechnicalManagement", getInTechnicalManagement())
            .append("outTechnicalManagement", getOutTechnicalManagement())
            .append("position", getPosition())
            .append("pipeDiameter", getPipeDiameter())
            .append("picUrl", getPicUrl())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
